Skip to main content

Dismiss Pipeline Deployment Error

Required role: write or higher.

Clears the deployment_error field of the pipeline, such that a subsequent call to /start?dismiss_error=false succeeds. It will return an error if the pipeline is not fully stopped (i.e., both current and desired status must be Stopped) AND a deployment error is present.

Path Parameters
pipeline_name string — REQUIRED

Unique pipeline name

Responses
200

Deployment error has been dismissed

400

Action could not be performed

Schema — OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.

404

Pipeline with that name does not exist

Schema — OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.

500
Schema — OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.